
From: Christoph Hellwig <hch@lst.de>

Richard hasn't touched it for about a year and since then only bugfixes and
my changes to the kernel interface went in.  No one has stepped up to
maintain it and with udev we have a proper replacement now.

I will do some more work before 2.6 (mainly trying to implement Al's
refcounting scheme to avoid stale entries), but that's it.



 MAINTAINERS |    5 +----
 fs/Kconfig  |    9 ++++++++-
 2 files changed, 9 insertions(+), 5 deletions(-)

diff -puN fs/Kconfig~mark-devfs-obsolete fs/Kconfig
--- 25/fs/Kconfig~mark-devfs-obsolete	2003-09-17 21:15:17.000000000 -0700
+++ 25-akpm/fs/Kconfig	2003-09-17 21:15:17.000000000 -0700
@@ -766,7 +766,7 @@ config PROC_KCORE
 	default y if !ARM
 
 config DEVFS_FS
-	bool "/dev file system support (EXPERIMENTAL)"
+	bool "/dev file system support (OBSOLETE)"
 	depends on EXPERIMENTAL
 	help
 	  This is support for devfs, a virtual file system (like /proc) which
@@ -785,6 +785,13 @@ config DEVFS_FS
 	  ptys, you will also need to enable (and mount) the /dev/pts
 	  filesystem (CONFIG_DEVPTS_FS).
 
+	  Note that devfs has been obsoleted by udev,
+	  <http://www.kernel.org/pub/linux/utils/kernel/hotplug/>.
+	  It has been stripped down to a bare minimum and is only provided for
+	  legacy installations that use its naming scheme which is
+	  unfortunately different from the names normal Linux installations
+	  use.
+
 	  If unsure, say N.
 
 config DEVFS_MOUNT
diff -puN MAINTAINERS~mark-devfs-obsolete MAINTAINERS
--- 25/MAINTAINERS~mark-devfs-obsolete	2003-09-17 21:15:17.000000000 -0700
+++ 25-akpm/MAINTAINERS	2003-09-17 21:15:17.000000000 -0700
@@ -605,10 +605,7 @@ L:	linux-kernel@vger.kernel.org
 S:	Maintained
 
 DEVICE FILESYSTEM
-P:	Richard Gooch
-M:	rgooch@atnf.csiro.au
-L:	linux-kernel@vger.kernel.org
-S:	Maintained
+S:	Obsolete
 
 DIGI INTL. EPCA DRIVER
 P:	Digi International, Inc

_
